## Interface IScaffoldEditRenderer

Description

IScaffoldEditRenderer interface.

IScaffoldEditRenderer defines the interface that an edit renderer needs to implement. Besides the Data property, an edit renderer also needs to provide updateRecord method that is called before the save() method is called on the TActiveRecord.

- since: 3.1
- version: $Id: TScaffoldEditView.php 2208 2007-09-05 01:43:17Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/ActiveRecord/Scaffold/TScaffoldEditView.php (line 301)

    IDataRenderer
       |
       --IScaffoldEditRenderer

Method Summary
void updateRecord (TActiveRecord $record)
Methods
updateRecord (line 307)

This method should update the record with the user input data.

- access: public

void updateRecord (TActiveRecord $record)

- TActiveRecord $record: record to be saved.

#### Inherited Methods

Inherited From IDataRenderer

> IDataRenderer::getData()
> IDataRenderer::setData()

Documentation generated on Mon, 21 Apr 2008 11:36:06 -0400 by phpDocumentor 1.3.0RC4